Commit 7b57e096 authored by Natanael Copa's avatar Natanael Copa

x11/xorg-server: prevent useless C++ check

parent 1a7c7333
......@@ -16,10 +16,12 @@ makedepends="pkgconfig libx11-dev libxfont-dev openssl-dev libxxf86misc
# xorg-server-utils xorg-utils xorg-fonts-misc xbitmaps libdrm>=2.3.1
# diffutils xf86-input-evdev"
source="http://xorg.freedesktop.org/releases/individual/xserver/$pkgname-$pkgver.tar.bz2"
source="http://xorg.freedesktop.org/releases/individual/xserver/$pkgname-$pkgver.tar.bz2
nocxx.patch"
build () {
cd "$srcdir"/$pkgname-$pkgver
patch configure < ../nocxx.patch || return 1
./configure --prefix=/usr \
--sysconfdir=/etc/X11 \
--localstatedir=/var \
......@@ -107,4 +109,5 @@ build () {
install -m755 -d "$pkgdir"/var/lib/xkb || return 1
install -m644 -D COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
}
md5sums="aafe73f5807ce8bb534727ecb72467c7 xorg-server-1.6.0.tar.bz2"
md5sums="aafe73f5807ce8bb534727ecb72467c7 xorg-server-1.6.0.tar.bz2
28513788ba4d556ccd538867dc6205ab nocxx.patch"
--- a/configure 2004-12-07 21:34:23.205172545 +0000
+++ b/configure 2004-12-07 21:37:17.726654782 +0000
@@ -5148,10 +5148,8 @@
:
else
{ { echo "$as_me:$LINENO: error: C++ preprocessor \"$CXXCPP\" fails sanity check
-See \`config.log' for more details." >&5
-echo "$as_me: error: C++ preprocessor \"$CXXCPP\" fails sanity check
-See \`config.log' for more details." >&2;}
- { (exit 1); exit 1; }; }
+See \`config.log' for more details." >&5;}
+ { echo "C++ sucks, ignoring ..." >&5; }; }
fi
ac_ext=cc
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment